Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 208098 - Quick search does not work in TreeTableView
Quick search does not work in TreeTableView
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
7.1
All All
: P3 (vote)
: 7.2
Assigned To: Martin Entlicher
issues@platform
:
Depends on: 208794
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-06 15:41 UTC by Martin Entlicher
Modified: 2012-02-23 21:05 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2012-02-06 15:41:27 UTC
TreeTableView inherits methods isQuickSearchAllowed() and setQuickSearchAllowed() from TreeView. But calling these methods have no effect, since the initialization of the quick search system is not called due to overridden initializeTree() method.
Comment 1 Martin Entlicher 2012-02-16 15:07:15 UTC
This is fixed by changeset:   213195:8d734b0ca5dd
http://hg.netbeans.org/main/rev/8d734b0ca5dd
Comment 2 Quality Engineering 2012-02-17 10:59:48 UTC
Integrated into 'main-golden', will be available in build *201202170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8d734b0ca5dd
User: mentlicher@netbeans.org
Log: #110686, #208098 Quick search feature implemented for TreeTableView and OutlineView.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo